hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-13660) Upgrade commons-configuration version
Date Tue, 17 Jan 2017 20:42:26 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-13660?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15826764#comment-15826764
] 

Steve Loughran commented on HADOOP-13660:
-----------------------------------------

I'm staring at a build thing elsewhere related to this; convergency errors related to commons-lang3
and that of azure and dynamodb.

# what was the reason for excluding commons-lang3 as a dependency of azure in the azure project?
I'm not faulting the decision, just trying to understand what's happening.
# is everyone confident that all azure storage codepaths are valid without that dependency?
# I don't see any explicit declaration on a commons-lang version. Should we have one? Because
s3guard is pulling in dynamodb local for testing, and I'm getting some (local) convergence
issues?

{code}
+-org.apache.hadoop:hadoop-aws
  +-com.amazonaws:DynamoDBLocal:1.11.0
    +-org.apache.commons:commons-lang3:3.3.2
{code}

This isn't surfacing in the ASF branch because of the exclusion, I'm just wondering what to
do.

FWIW, I'm thinking of declaring lang3 dependency of {{org.apache.commons:commons-lang3:jar:3.4}}
in the hadoop-project pom, and including it in test scope for hadoop-aws+s3guard, while excludingng
the dynamodb one, it being older

> Upgrade commons-configuration version
> -------------------------------------
>
>                 Key: HADOOP-13660
>                 URL: https://issues.apache.org/jira/browse/HADOOP-13660
>             Project: Hadoop Common
>          Issue Type: Improvement
>          Components: build
>    Affects Versions: 3.0.0-alpha2
>            Reporter: Sean Mackrory
>            Assignee: Sean Mackrory
>             Fix For: 3.0.0-alpha2
>
>         Attachments: HADOOP-13660.001.patch, HADOOP-13660.002.patch, HADOOP-13660.003.patch,
HADOOP-13660.004.patch, HADOOP-13660.005.patch, HADOOP-13660.006.patch, HADOOP-13660.007.patch,
HADOOP-13660-configuration2.001.patch
>
>
> We're currently pulling in version 1.6 - I think we should upgrade to the latest 1.10.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

---------------------------------------------------------------------
To unsubscribe, e-mail: common-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-issues-help@hadoop.apache.org


Mime
View raw message